%define	name	chemtool
%define version 1.6.7
%define release 1mdk

Summary:	Chemtool is a program for 2D drawing organic molecules
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Chemistry
Source0:	http://ruby.chemie.uni-freiburg.de/~martin/chemtool/%{name}-%{version}.tar.bz2
Url:		http://ruby.chemie.uni-freiburg.de/~martin/chemtool/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	transfig openbabel
BuildRequires:	gtk2-devel
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png

%description
Chemtool is a program for drawing organic molecules easily and store them as
a X bitmap, Xfig or EPS file. It runs under the X Window System using 
the GTK widget set.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -d $RPM_BUILD_ROOT%{_datadir}/%name-%version/examples
for L in `ls locales`; do \
	install -d $RPM_BUILD_ROOT%{_datadir}/locale/$L/LC_MESSAGES; done

install -m755 %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m755 src-cht/cht -D $RPM_BUILD_ROOT%{_bindir}/cht
install -m644 examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/examples
install -m644 {%{name}.1,cht.1} $RPM_BUILD_ROOT%{_mandir}/man1/
for L in `ls locales`; do \
	install -m644 locales/$L/chemtool.mo \
	$RPM_BUILD_ROOT%{_datadir}/locale/$L/LC_MESSAGES; done

# menu entry
install -d $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/chemtool"\
title="Chemtool"\
longtitle="A program for drawing organic molecules"\
needs="x11"\
icon="chemtool.png"\
section="Applications/Sciences/Chemistry"
EOF

# icons
%{__install} -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc TODO README ChangeLog
%_bindir/*
%_datadir/%{name}-%{version}
%_mandir/man1/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Thu Aug 04 2005 Austin Acton <austin@mandriva.org> 1.6.7-1mdk
- New release 1.6.7

* Sun Feb 13 2005 Austin Acton <austin@mandrake.org> 1.6.6-1mdk
- 1.6.6

* Mon Feb 7 2005 Austin Acton <austin@mandrake.org> 1.6.5-1mdk
- 1.6.5
- configure 2.5
- source URL
- gtk2
- require openbabel for file conversions

* Fri Oct 8 2004 Austin Acton <austin@mandrake.org> 1.6.3-2mdk
- fix binary installation

* Thu Jul 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.3-1mdk
- 1.6.3
- don't bzip2 icons in src.rpm
- cosmetics

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 1.6-1mdk
- 1.6

* Sat Mar 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5-3mdk
- new url

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.5-2mdk
- rebuild

* Mon Aug 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.5-1mdk
- 1.5

* Thu Jun 13 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.4.1-2mdk
- png icons (out xpm!)
- %%make instead make

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1-1mdk
- updated by Thomas Leclerc <leclerc@linux-mandrake.com> :
	- release 1.4.1
	- add menu entry

* Sun Aug 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-1mdk
- updated to 1.3.1

* Thu Jun 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3-2mdk
- rebuild

* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3-1mdk
- new in contribs
